List entity derived observations
curl --request GET \
--url https://api.quantoraresearch.com/entities/{entityId}/derived-observations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/entities/{entityId}/derived-observations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/entities/{entityId}/derived-observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"entityId": "<string>",
"indicatorId": "<string>",
"sourceId": "<string>",
"providerId": "<string>",
"derivedFrom": [
"<string>"
],
"valueNumeric": 123,
"valueText": "<string>",
"unit": "<string>",
"frequency": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z",
"releasedAt": "2023-11-07T05:31:56Z",
"ingestedAt": "2023-11-07T05:31:56Z",
"revisionStatus": "initial",
"sourceUrl": "<string>",
"attribution": "<string>",
"freshnessStatus": "fresh",
"metadata": {},
"rights": {}
}
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "v1",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Analytics
List entity derived observations
GET
/
entities
/
{entityId}
/
derived-observations
List entity derived observations
curl --request GET \
--url https://api.quantoraresearch.com/entities/{entityId}/derived-observations \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/entities/{entityId}/derived-observations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/entities/{entityId}/derived-observations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"entityId": "<string>",
"indicatorId": "<string>",
"sourceId": "<string>",
"providerId": "<string>",
"derivedFrom": [
"<string>"
],
"valueNumeric": 123,
"valueText": "<string>",
"unit": "<string>",
"frequency": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z",
"releasedAt": "2023-11-07T05:31:56Z",
"ingestedAt": "2023-11-07T05:31:56Z",
"revisionStatus": "initial",
"sourceUrl": "<string>",
"attribution": "<string>",
"freshnessStatus": "fresh",
"metadata": {},
"rights": {}
}
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "v1",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Authorizations
apiKeybearerApiKey
Query Parameters
Required range:
1 <= x <= 500Available options:
asc, desc Derived indicator id or slug. Accepts a comma-separated list.
Derived indicator id or slug.
Available options:
daily, weekly, monthly, quarterly, annual, event, static See /observations: 'preferred' returns one provider per (entity, indicator, frequency, period), 'all' returns every provider's row.
Available options:
preferred, all